if(!settings.multipleView)
 settings.batchView=false;
settings.tex="pdflatex";

// Beginning of Asymptote Figure 1
eval(quote{
defaultfilename='asymptote-1';
if(settings.render < 0) settings.render=4;
settings.inlineimage=true;
settings.embed=true;
settings.outformat='';
settings.toolbar=false;
viewportmargin=(1,1);

usepackage("mathptmx");
texpreamble("\newcommand{\cC}{\mathcal{C}}");

size (3cm);
draw (unitcircle);
label("$\cC$",(.71,.71),SW);
viewportsize=(345.0pt,0);
});
// End of Asymptote Figure 1

// Beginning of Asymptote Figure 2
eval(quote{
defaultfilename='asymptote-2';
if(settings.render < 0) settings.render=4;
settings.inlineimage=true;
settings.embed=true;
settings.outformat='';
settings.toolbar=false;
viewportmargin=(1,1);

usepackage("mathptmx");
texpreamble("\newcommand{\cC}{\mathcal{C}}");

size (3cm, 0);
fill (unitsquare, red);
viewportsize=(345.0pt,0);
});
// End of Asymptote Figure 2

// Beginning of Asymptote Figure 3
eval(quote{
defaultfilename='asymptote-3';
if(settings.render < 0) settings.render=4;
settings.inlineimage=true;
settings.embed=true;
settings.outformat='';
settings.toolbar=false;
viewportmargin=(1,1);

usepackage("mathptmx");
texpreamble("\newcommand{\cC}{\mathcal{C}}");

size (3cm, 0);
fill (2N--E--W--cycle, green);
viewportsize=(345.0pt,0);
});
// End of Asymptote Figure 3

// Beginning of Asymptote Figure 4
eval(quote{
defaultfilename='asymptote-4';
if(settings.render < 0) settings.render=4;
settings.inlineimage=true;
settings.embed=true;
settings.outformat='';
settings.toolbar=false;
viewportmargin=(1,1);

usepackage("mathptmx");
texpreamble("\newcommand{\cC}{\mathcal{C}}");

size (3cm, 0);
fill (unitcircle, blue);
viewportsize=(345.0pt,0);
});
// End of Asymptote Figure 4

// Beginning of Asymptote Figure 5
eval(quote{
defaultfilename='asymptote-5';
if(settings.render < 0) settings.render=4;
settings.inlineimage=true;
settings.embed=true;
settings.outformat='';
settings.toolbar=false;
viewportmargin=(1,1);

usepackage("mathptmx");
texpreamble("\newcommand{\cC}{\mathcal{C}}");

size(6cm,0);
pair A=(0,0),B=(4,2),C=(1,3);
dot("$A$",A,SW);
dot("$B$",B,SE);
dot("$C$",C,NW);
pair imC=C+(B-A);
dot("$C'$",imC,N,red);
draw(Label("$\overrightarrow{AB}$"),A--B,N,red,Arrow);
draw(Label("$\overrightarrow{AB}$"),C--imC,N,red,Arrow);
viewportsize=(345.0pt,0);
});
// End of Asymptote Figure 5

// Beginning of Asymptote Figure 6
eval(quote{
defaultfilename='asymptote-6';
if(settings.render < 0) settings.render=4;
settings.inlineimage=true;
settings.embed=true;
settings.outformat='';
settings.toolbar=false;
viewportmargin=(1,1);

usepackage("mathptmx");
texpreamble("\newcommand{\cC}{\mathcal{C}}");

size(7cm,0);
pair A=(0,0),B=(3,1),C=(1,3);
dot("$A$",A,SW);
dot("$B$",B,SE);
dot("$C$",C,NW);
transform t=shift(3,2);
dot("$A'$",t*A,S,red);
dot("$B'$",t*B,NE,red);
dot("$C'$",t*C,N,red);
draw(A--B--C--cycle,1bp+blue);
draw(t*A--t*B--t*C--cycle,1bp+green);
draw(Label("$\vec{u}$"),B--t*B,S,red,Arrow);
viewportsize=(345.0pt,0);
});
// End of Asymptote Figure 6

// Beginning of Asymptote Figure 7
eval(quote{
defaultfilename='asymptote-7';
if(settings.render < 0) settings.render=4;
settings.inlineimage=true;
settings.embed=true;
settings.outformat='';
settings.toolbar=false;
viewportmargin=(1,1);

usepackage("mathptmx");
texpreamble("\newcommand{\cC}{\mathcal{C}}");

import geometry_dev;
size(7cm,0);

picture pic;
path losange=(0,0)--(-2,-1)--(-2,-3)--(0,-2)--cycle;
filldraw(pic,losange^^rotate(180,(0,0))*losange,
             lightblue+white,black);
filldraw(pic,reflect(Ox)*losange^^reflect(Oy)*losange,
             lightred+white,black);
for(int i=0; i<9; ++i)
  {
    for(int j=0; j<6; ++j)
      {
        add(shift(4*i,6*j)*pic);
      }
  }
viewportsize=(345.0pt,0);
});
// End of Asymptote Figure 7

// Beginning of Asymptote Figure 8
eval(quote{
defaultfilename='asymptote-8';
if(settings.render < 0) settings.render=4;
settings.inlineimage=true;
settings.embed=true;
settings.outformat='';
settings.toolbar=false;
viewportmargin=(1,1);

usepackage("mathptmx");
texpreamble("\newcommand{\cC}{\mathcal{C}}");

size(6cm,0);
// un cercle de rayon 1, centré en O
draw(unitcircle);
// et un cercle de rayon 2, centré en (1,0)
draw(circle((1,0),2));
// un point pour indiquer le centre du repère
dot((0,0));
// une bordure blanche de 3mm autour de l'image
shipout(bbox(3mm,white));
viewportsize=(345.0pt,0);
});
// End of Asymptote Figure 8
